import React from "react";
import { CategoryPropType, DomainPropType, EventPropTypeInterface, StringOrNumberOrCallback, VictoryCommonProps, VictoryStyleInterface, VictoryStyleObject } from "victory-core";
export declare const VictoryChart: React.NamedExoticComponent<VictoryChartProps>;
export declare type AxesType = {
    dependent?: React.ReactElement | null;
    independent?: React.ReactElement | null;
};
export interface VictoryChartProps extends VictoryCommonProps {
    backgroundComponent?: React.ReactElement;
    categories?: CategoryPropType;
    children?: React.ReactNode | React.ReactNode[];
    desc?: string;
    defaultAxes?: AxesType;
    defaultPolarAxes?: AxesType;
    domain?: DomainPropType;
    endAngle?: number;
    eventKey?: StringOrNumberOrCallback;
    events?: EventPropTypeInterface<string, string[] | number[] | string | number>[];
    innerRadius?: number;
    prependDefaultAxes?: boolean;
    startAngle?: number;
    style?: Pick<VictoryStyleInterface, "parent"> & {
        background?: VictoryStyleObject;
    };
    title?: string;
}
//# sourceMappingURL=victory-chart.d.ts.map